set-option -g history-limit 100000
set-option -g status off
set-option -g focus-events on

set -ga terminal-overrides ",*256col*:Tc"
set -g mouse on

setw -g aggressive-resize on
setw -g mode-keys vi
setw -g automatic-rename on

bind m \
  set -g mouse on \;\
  display 'Mouse: ON'

bind M \
  set -g mouse off \;\
  display 'Mouse: OFF'

set -s copy-command 'xsel -b -i'
bind ] run "tmux set-buffer -- \"$(xsel -b -o)\"; tmux paste-buffer"
bind-key -n MouseDown2Pane run "tmux set-buffer -- \"$(xsel -b -o)\"; tmux paste-buffer"

bind-key -T copy-mode-vi v send-keys -X begin-selection
bind-key -T copy-mode-vi y send-keys -X copy-selection
bind-key -T copy-mode-vi r send-keys -X rectangle-toggle

bind r source-file ~/.tmux.conf \; display "tmux config reloaded :)"
bind | split-window -h -c "#{pane_current_path}"
bind - split-window -v -c "#{pane_current_path}"

set -s escape-time 0
